Error - Gramps 5.0.0 alpha2 - postgresql

classic Classic list List threaded Threaded
15 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Error - Gramps 5.0.0 alpha2 - postgresql

GRAMPS - User mailing list
I am trying alpha2 with dbapi.

database is postgresql running on a Debian stretch server. The database
appears to load OK.

Merged two identical people, seems to have worked.

Attempted to edit the resulting record, gramps crashes with ethe folling
diag info:

318361: ERROR: grampsapp.py: line 143: Unhandled exception
Traceback (most recent call last):
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gui\views\listview.py", line 843,
in _button_press
     self.edit(obj)
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\plugins\lib\libpersonview.py",
line 284, in edit
     EditPerson(self.dbstate, self.uistate, [], person)
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gui\editors\editperson.py", line
139, in __init__
     dbstate.db.get_person_from_gramps_id, callback)
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gui\editors\editprimary.py", line
88, in __init__
     self._create_tabbed_pages()
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gui\editors\editperson.py", line
469, in _create_tabbed_pages
     start_date=self.get_start_date())
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gui\editors\displaytabs\personeventembedlist.py",
line 67, in __init__
     build_model=EventRefModel, **kwargs)
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gui\editors\displaytabs\eventembedlist.py",
line 100, in __init__
     move_buttons=True, **kwargs)
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gui\editors\displaytabs\groupembeddedlist.py",
line 69, in __init__
     share_button, move_buttons, jump_button)
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gui\editors\displaytabs\embeddedlist.py",
line 109, in __init__
     self.rebuild()
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gui\editors\displaytabs\embeddedlist.py",
line 565, in rebuild
     self.model = self.construct_model()
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gui\editors\displaytabs\groupembeddedlist.py",
line 83, in construct_model
     self.groups(), **self.kwargs)
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gui\editors\displaytabs\eventrefmodel.py",
line 110, in __init__
     self.append(parentiter, row = self.row(index, eventref, event))
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gui\editors\displaytabs\eventrefmodel.py",
line 129, in row
     self.column_participant(eventref),
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gui\editors\displaytabs\eventrefmodel.py",
line 168, in column_participant
     return get_participant_from_event(self.db, event_ref.ref)
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gen\utils\db.py", line 277, in
get_participant_from_event
     person = db.get_person_from_handle(personhandle)
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gen\db\generic.py", line 1308, in
get_person_from_handle
     return self._get_from_handle(PERSON_KEY, Person, handle)
   File "C:\Program
Files\GrampsAIO64-5.0.0-alpha2\gramps\gen\db\generic.py", line 1296, in
_get_from_handle
     raise HandleError('Handle %s not found' % handle)
gramps.gen.errors.HandleError: Handle c17afb115ca19d05ab8 not found



---
This email has been checked for viruses by Avast antivirus software.
https://www.avast.com/antivirus


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error - Gramps 5.0.0 alpha2 - postgresql

GRAMPS - User mailing list
trying to convert from BSDDB tyo postgresql

22686: ERROR: grampsapp.py: line 143: Unhandled exception
Traceback (most recent call last):
   File
"/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/dbapi.py", line
919, in _create_secondary_columns
     % (field, table_name))
   File
"/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/postgresql.py",
line 92, in execute
     self.__cursor.execute(sql, args, **kwargs)
psycopg2.ProgrammingError: column "gender" does not exist
LINE 1: SELECT gender FROM person LIMIT 1
                ^


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
   File "/usr/lib/python3/dist-packages/gramps/gui/dbman.py", line 775,
in __convert_db_ask
     lambda: self.__convert_db(name, dirname), parent=self.top)
   File "/usr/lib/python3/dist-packages/gramps/gui/dialog.py", line 121,
in __init__
     task()
   File "/usr/lib/python3/dist-packages/gramps/gui/dbman.py", line 775,
in <lambda>
     lambda: self.__convert_db(name, dirname), parent=self.top)
   File "/usr/lib/python3/dist-packages/gramps/gui/dbman.py", line 814,
in __convert_db
     dbase.load(new_path)
   File "/usr/lib/python3/dist-packages/gramps/gen/db/generic.py", line
591, in load
     self._initialize(directory)
   File
"/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/dbapi.py", line
124, in _initialize
     self._create_schema()
   File
"/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/dbapi.py", line
223, in _create_schema
     self._create_secondary_columns()
   File
"/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/dbapi.py", line
927, in _create_secondary_columns
     % (table_name, field, sql_type))
   File
"/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/postgresql.py",
line 92, in execute
     self.__cursor.execute(sql, args, **kwargs)
psycopg2.ProgrammingError: relation "person" does not exist



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error - Gramps 5.0.0 alpha2 - postgresql

prculley
John;
You seem to be trying something the developers never did before.  As far as I know (I'm a developer) we have never attempted to use the postgresql db in our work.  So you are definitely in new territory.

If you want the developers to look into this (someday, when they find the resources or time), you should put your bugs and how to recreate them into the Gramps bugtracker.
Please tag the bugs with 'dbapi' and 'postgresql' to ease our sorting process.

I don't think the users email list is the right place for this.

If you are a programmer familiar with db coding, please debug these yourself, and we can apply any patches you figure out (that are compatible with our main code).

Paul C.

On Tue, Jun 13, 2017 at 7:18 AM, john via Gramps-users <[hidden email]> wrote:
trying to convert from BSDDB tyo postgresql

22686: ERROR: grampsapp.py: line 143: Unhandled exception
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/dbapi.py", line 919, in _create_secondary_columns
    % (field, table_name))
  File "/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/postgresql.py", line 92, in execute
    self.__cursor.execute(sql, args, **kwargs)
psycopg2.ProgrammingError: column "gender" does not exist
LINE 1: SELECT gender FROM person LIMIT 1
               ^


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/gramps/gui/dbman.py", line 775, in __convert_db_ask
    lambda: self.__convert_db(name, dirname), parent=self.top)
  File "/usr/lib/python3/dist-packages/gramps/gui/dialog.py", line 121, in __init__
    task()
  File "/usr/lib/python3/dist-packages/gramps/gui/dbman.py", line 775, in <lambda>
    lambda: self.__convert_db(name, dirname), parent=self.top)
  File "/usr/lib/python3/dist-packages/gramps/gui/dbman.py", line 814, in __convert_db
    dbase.load(new_path)
  File "/usr/lib/python3/dist-packages/gramps/gen/db/generic.py", line 591, in load
    self._initialize(directory)
  File "/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/dbapi.py", line 124, in _initialize
    self._create_schema()
  File "/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/dbapi.py", line 223, in _create_schema
    self._create_secondary_columns()
  File "/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/dbapi.py", line 927, in _create_secondary_columns
    % (table_name, field, sql_type))
  File "/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/postgresql.py", line 92, in execute
    self.__cursor.execute(sql, args, **kwargs)
psycopg2.ProgrammingError: relation "person" does not exist




------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error - Gramps 5.0.0 alpha2 - postgresql

GRAMPS - User mailing list

I took a look at the PostgreSQL DB and I think it needs a lot of work.

What UML/DB design tool(s) would you suggest.


On 6/13/17 9:23 AM, Paul Culley wrote:
John;
You seem to be trying something the developers never did before.  As far as I know (I'm a developer) we have never attempted to use the postgresql db in our work.  So you are definitely in new territory.

If you want the developers to look into this (someday, when they find the resources or time), you should put your bugs and how to recreate them into the Gramps bugtracker.
Please tag the bugs with 'dbapi' and 'postgresql' to ease our sorting process.

I don't think the users email list is the right place for this.

If you are a programmer familiar with db coding, please debug these yourself, and we can apply any patches you figure out (that are compatible with our main code).

Paul C.

On Tue, Jun 13, 2017 at 7:18 AM, john via Gramps-users <[hidden email]> wrote:
trying to convert from BSDDB tyo postgresql

22686: ERROR: grampsapp.py: line 143: Unhandled exception
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/dbapi.py", line 919, in _create_secondary_columns
    % (field, table_name))
  File "/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/postgresql.py", line 92, in execute
    self.__cursor.execute(sql, args, **kwargs)
psycopg2.ProgrammingError: column "gender" does not exist
LINE 1: SELECT gender FROM person LIMIT 1
               ^


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/gramps/gui/dbman.py", line 775, in __convert_db_ask
    lambda: self.__convert_db(name, dirname), parent=self.top)
  File "/usr/lib/python3/dist-packages/gramps/gui/dialog.py", line 121, in __init__
    task()
  File "/usr/lib/python3/dist-packages/gramps/gui/dbman.py", line 775, in <lambda>
    lambda: self.__convert_db(name, dirname), parent=self.top)
  File "/usr/lib/python3/dist-packages/gramps/gui/dbman.py", line 814, in __convert_db
    dbase.load(new_path)
  File "/usr/lib/python3/dist-packages/gramps/gen/db/generic.py", line 591, in load
    self._initialize(directory)
  File "/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/dbapi.py", line 124, in _initialize
    self._create_schema()
  File "/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/dbapi.py", line 223, in _create_schema
    self._create_secondary_columns()
  File "/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/dbapi.py", line 927, in _create_secondary_columns
    % (table_name, field, sql_type))
  File "/usr/lib/python3/dist-packages/gramps/plugins/db/dbapi/postgresql.py", line 92, in execute
    self.__cursor.execute(sql, args, **kwargs)
psycopg2.ProgrammingError: relation "person" does not exist




------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org



Virus-free. www.avast.com

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error - Gramps 5.0.0 alpha2 - postgresql

Paul Franklin-5
On 6/14/17, John via Gramps-users <[hidden email]> wrote:
> On 6/13/17 9:23 AM, Paul Culley wrote:
>> I don't think the users email list is the right place for this.

Without claiming to understand this discussion, perhaps

https://gramps-project.org/bugs/view.php?id=10071

would be a better place for comments, to get it off the users list?

(At least until/if some other bug(s) join it?)

Thanks.

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error - Gramps 5.0.0 alpha2 - postgresql

Josip
In reply to this post by GRAMPS - User mailing list
14.6.2017. u 2:30, John via Gramps-users je napisao/la:
> I took a look at the PostgreSQL DB and I think it needs a lot of work.
>
> What UML/DB design tool(s) would you suggest.

DB Designer Fork
https://sourceforge.net/projects/dbdesigner-fork

There is not much for change in db design without changing gramps code
which will work with such db.

Currently most of data are in blob fields to see their complexity take a
look at "Gramps Data Model"
https://gramps-project.org/wiki/index.php?title=Gramps_Data_Model


--
Josip

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
NdK
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error - Gramps 5.0.0 alpha2 - postgresql

NdK
Il 15/06/2017 15:16, Josip ha scritto:

> Currently most of data are in blob fields to see their complexity take a
> look at "Gramps Data Model"
> https://gramps-project.org/wiki/index.php?title=Gramps_Data_Model
At a glance, seems like a NoSQL (MongoDB?) would be a better fit than
MySQL or Postgres.

BYtE,
 Diego

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error - Gramps 5.0.0 alpha2 - postgresql

Nick Hall
On 18/06/17 14:42, NdK wrote:
Currently most of data are in blob fields to see their complexity take a
look at "Gramps Data Model"
https://gramps-project.org/wiki/index.php?title=Gramps_Data_Model
At a glance, seems like a NoSQL (MongoDB?) would be a better fit than
MySQL or Postgres.

Exactly.  The Gramps data model is non-relational.

MongoDB would be a good fit.

Nick.



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error - Gramps 5.0.0 alpha2 - postgresql

GRAMPS - User mailing list
On 6/18/17 10:12 AM, Nick Hall wrote:
On 18/06/17 14:42, NdK wrote:
Currently most of data are in blob fields to see their complexity take a
look at "Gramps Data Model"
https://gramps-project.org/wiki/index.php?title=Gramps_Data_Model
At a glance, seems like a NoSQL (MongoDB?) would be a better fit than
MySQL or Postgres.

Exactly.  The Gramps data model is non-relational.

MongoDB would be a good fit.

If you are going to change the DB engine, can you actually change to engine rather than the hybrid solution that has been tried.
If a relational DB is what people want, then I think the database has to be completely redesigned.
may be we need to create a forum/mailing list to discuss this.
John A

Virus-free. www.avast.com

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error - Gramps 5.0.0 alpha2 - postgresql

Nick Hall
On 21/06/17 03:55, John via Gramps-users wrote:
If you are going to change the DB engine, can you actually change to engine rather than the hybrid solution that has been tried.
If a relational DB is what people want, then I think the database has to be completely redesigned.

There are no plans to move to a relational model.

may be we need to create a forum/mailing list to discuss this.

Please feel free the use either the gramps-devel or gramps-users mailing list to discuss this.

Nick.



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error - Gramps 5.0.0 alpha2 - postgresql

enno
In reply to this post by GRAMPS - User mailing list

Hello John,

Op 21-6-2017 om 04:55 schreef John via Gramps-users:
If you are going to change the DB engine, can you actually change to engine rather than the hybrid solution that has been tried.
We probably could, but the DB-API that is used in 5.0 might be more flexible.
If a relational DB is what people want, then I think the database has to be completely redesigned.
may be we need to create a forum/mailing list to discuss this.
We may indeed, but this may be less complex than it looks. That is because we have import and export modules for SQLite, so we already know how to map the current blobs to a relational database.

If you look at the diagram on our wiki, you can also see that most of the entities that haven't been normalized away are attributes and references. They are in about every Gramps 'table' now, and since they're basically all the same, they can be stored in one or two new tables. One, if all the references can be converted to standard relations, two if we have some N-to-N relations for which a cross ref table is a better choice.

We will also need extra tables for person and location names, and maybe for addresses too.

That's all!

Enno


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error - Gramps 5.0.0 alpha2 - postgresql

Raphael McKenna

Sorry for the reply mechanism....

Anyway. "we have import and export modules for SQLite" - are you sure - I can not find the Export facility anymore....

Cheers




From: Enno Borgsteede <[hidden email]>
Sent: 21 June 2017 13:27
To: [hidden email]
Subject: Re: [Gramps-users] Error - Gramps 5.0.0 alpha2 - postgresql
 

Hello John,

Op 21-6-2017 om 04:55 schreef John via Gramps-users:
If you are going to change the DB engine, can you actually change to engine rather than the hybrid solution that has been tried.
We probably could, but the DB-API that is used in 5.0 might be more flexible.
If a relational DB is what people want, then I think the database has to be completely redesigned.
may be we need to create a forum/mailing list to discuss this.
We may indeed, but this may be less complex than it looks. That is because we have import and export modules for SQLite, so we already know how to map the current blobs to a relational database.

If you look at the diagram on our wiki, you can also see that most of the entities that haven't been normalized away are attributes and references. They are in about every Gramps 'table' now, and since they're basically all the same, they can be stored in one or two new tables. One, if all the references can be converted to standard relations, two if we have some N-to-N relations for which a cross ref table is a better choice.

We will also need extra tables for person and location names, and maybe for addresses too.

That's all!

Enno


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error - Gramps 5.0.0 alpha2 - postgresql

enno
Hi Raphael,

Sorry for the reply mechanism....

Anyway. "we have import and export modules for SQLite" - are you sure - I can not find the Export facility anymore....

Both SQLite import and export are addons, and they are available for 5.0.

Cheers,

Enno


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error - Gramps 5.0.0 alpha2 - postgresql

Raphael McKenna

Enno,

thanks for the response.

I am using Gramps AIO ver 6.4.5.


Using Plug-In Manager , I can see SQLite Export as  Registered Plugin (status Visible).


But when I try to produce an export, using Family Trees / Export wizard, there is no option for SQL.....

Some time ago, on an old version of Gramps, this seemed to work ok, but not now, or maybe its me...

Cheers

Raphael




From: Enno Borgsteede <[hidden email]>
Sent: 30 June 2017 21:41
To: Raphael McKenna; [hidden email]
Subject: Re: [Gramps-users] Error - Gramps 5.0.0 alpha2 - postgresql
 
Hi Raphael,

Sorry for the reply mechanism....

Anyway. "we have import and export modules for SQLite" - are you sure - I can not find the Export facility anymore....

Both SQLite import and export are addons, and they are available for 5.0.

Cheers,

Enno


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Error - Gramps 5.0.0 alpha2 - postgresql

enno

Hello Raphael,

Enno,

thanks for the response.

I am using Gramps AIO ver 6.4.5.

Do you mean 4.2.5? I see that's the latest on the standard download page.

Using Plug-In Manager , I can see SQLite Export as  Registered Plugin (status Visible).

Me too.

But when I try to produce an export, using Family Trees / Export wizard, there is no option for SQL.....

Some time ago, on an old version of Gramps, this seemed to work ok, but not now, or maybe its me...

Same here, so it's a real problem. I never use 4.2, because I like 3.4 better, but when the subject came up, I tried 5.0 alpha 2, and in that the export works.

I don't know if it helps to file a bug for this, or that it's easier to wait for an official 5.0 release, in which the export probably will work.

cheers,

Enno


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
https://gramps-project.org
Loading...